Boost.Locale: boost::locale::basic_message< CharType > Class Template Reference

# Boost C++ Libraries

...one of the most highly regarded and expertly designed C++ library projects in the world. — Herb Sutter and Andrei Alexandrescu, C++ Coding Standards

Public Types | Public Member Functions

# boost::locale::basic_message< CharType > Class Template Reference
[Message Formatting (translation)]

This class represents a message that can be converted to a specific locale message. More...

`#include <boost/locale/message.hpp>`

List of all members.

## Public Types
typedef CharType | char_type
| The character this message object is used with.
typedef std::basic_string < char_type > | string_type
| The string type this object can be used with.
typedef message_format< char_type > | facet_type
| The type of the facet the messages are fetched with.
## Public Member Functions
| basic_message ()
| basic_message (char_type const *id)
| basic_message (char_type const *single, char_type const *plural, int n)
| basic_message (char_type const *context, char_type const *id)
| basic_message (char_type const *context, char_type const *single, char_type const *plural, int n)
| basic_message (string_type const &id)
| basic_message (string_type const &single, string_type const &plural, int number)
| basic_message (string_type const &context, string_type const &id)
| basic_message (string_type const &context, string_type const &single, string_type const &plural, int number)
| basic_message (basic_message const &other)
basic_message const & | operator= (basic_message const &other)
void | swap (basic_message &other)
| operator string_type () const
string_type | str () const
string_type | str (std::locale const &locale) const
string_type | str (std::locale const &locale, std::string const &domain_id) const
string_type | str (std::string const &domain_id) const
string_type | str (std::locale const &loc, int id) const
void | write (std::basic_ostream< char_type > &out) const

## Detailed Description

### template<typename CharType>
class boost::locale::basic_message< CharType >

This class represents a message that can be converted to a specific locale message.

It holds the original ASCII string that is queried in the dictionary when converting to the output string. The created string may be UTF-8, UTF-16, UTF-32 or other 8-bit encoded string according to the target character type and locale encoding.

The documentation for this class was generated from the following file:

- boost/locale/message.hpp